package net.shrine.maven.plugin;

import org.apache.maven.plugin.AbstractMojo;
import org.apache.maven.plugins.annotations.Execute;
import org.apache.maven.plugins.annotations.Mojo;

/**
 * Goal for pushing kafka image
 * More details on the below annotations are available here: https://maven.apache.org/developers/mojo-api-specification.html
 */
@Mojo( name = "pushZookeeper" )
@Execute( goal = "pushZookeeper",
        customPhase = "pushZookeeper"
)
public class PushZookeeperImageMojo extends AbstractMojo {

    public void execute()
    {
        getLog().info("Pushed Zookeeper Image...");
    }
}
