import PropTypes from "prop-types";

export const Flag = ({
  flagged = false,
  flagMessage = null,
  changeDate = null
} = {}) => ({
  flagged,
  flagMessage,
  changeDate
});

Flag.propTypes = {
  flagged: PropTypes.bool.isRequired,
  flagMessage: PropTypes.string,
  changeDate: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
