import PropTypes from "prop-types";
import { Error } from "./Error";

export const DataDistributionTypes = ({
  allOutputTypes = {},
  isFetching = false,
  error = Error()
} = {}) => ({ allOutputTypes, isFetching, error });

DataDistributionTypes.propTypes = {
  isFetching: PropTypes.bool,
  error: PropTypes.shape(Error.propTypes),
  allOutputTypes: PropTypes.shape({}),
};
